crossplatform.ru

Здравствуйте, гость ( Вход | Регистрация )

 
Ответить в данную темуНачать новую тему
> конфигурация Qt 4.4.0 под Kubuntu 8.04, проблема с Phonon
void*
  опции профиля:
сообщение 2.7.2008, 11:23
Сообщение #1


Программист-самоучка
***

Группа: Участник
Сообщений: 429
Регистрация: 4.6.2008
Пользователь №: 193

Спасибо сказали: 28 раз(а)




Репутация:   3  


при конфигурации Qt 4.4.0 под Kubuntu 8.04 почему-то вылазит сообщение что не получается включить в сборку модуль Phonon. Кто-нибудь знает из-за чего это? под винду вроде та же фигня
вопрос не к спеху, все равно продолжил собирать уже без Phonon, но все равно очень интересна возможная причина ошибки
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
ViGOur
  опции профиля:
сообщение 2.7.2008, 11:43
Сообщение #2


Мастер
******

Группа: Модератор
Сообщений: 3296
Регистрация: 9.10.2007
Из: Москва
Пользователь №: 4

Спасибо сказали: 231 раз(а)




Репутация:   40  


Приведи полностью, что пишет!
Имеется ввиду ошибку. :)
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
void*
  опции профиля:
сообщение 2.7.2008, 12:18
Сообщение #3


Программист-самоучка
***

Группа: Участник
Сообщений: 429
Регистрация: 4.6.2008
Пользователь №: 193

Спасибо сказали: 28 раз(а)




Репутация:   3  


ошибку привести уже не могу, т.к. идет сборка, и текст той ошибки уже давно за пределами консоли :)
зато что-то нашел подобное - Installing Phonon
походу проблема в зависимости от GStreamer
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
void*
  опции профиля:
сообщение 2.7.2008, 13:14
Сообщение #4


Программист-самоучка
***

Группа: Участник
Сообщений: 429
Регистрация: 4.6.2008
Пользователь №: 193

Спасибо сказали: 28 раз(а)




Репутация:   3  


блин, вообще не получается собрать почему-то, ничего не менял,
./configure

затем
make && make install


в итоге ошибки:
Цитата
/usr/bin/ld: cannot find -lXext
collect2: выполнение ld завершилось с кодом возврата 1
make[1]: *** [../../lib/libQtGui.so.4.4.0] Ошибка 1
make[1]: Выход из каталога `/tmp/qt-x11-opensource-src-4.4.0/src/gui'
make: *** [sub-gui-make_default-ordered] Ошибка 2

в чем проблема?

P.S. уже который раз пробую собрать, кучу конфигураций перепробовал
P.P.S. make confclean'ы после каждой конфигурации делал

Сообщение отредактировал void* - 2.7.2008, 13:41
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение

Быстрый ответОтветить в данную темуНачать новую тему
Теги
Нет тегов для показа


1 чел. читают эту тему (гостей: 1, скрытых пользователей: 0)
Пользователей: 0




RSS Текстовая версия Сейчас: 28.11.2022, 21:25